#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	PyXML

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-pyxml
Version:	0.8.4
Release:	5
License:	Apacheish
URL:		http://pyxml.sourceforge.net
Group:		Development/Python
Source0:	%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	XML libraries for python.
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
Provides:	PyXML = %{version}-%{release}
Obsoletes:	PyXML <= %{version}-%{release}
Obsoletes:	python25-pyxml

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python%{PVER}-devel

%description
An XML package for Python. The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build --with-xslt

%install
rm -Rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT --with-xslt
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root)
%_bindir
%_libdir

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.4-5
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.4-4
- rebuild against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.4-3
- rebuilt with explicit /usr/bin/python2.5
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.4-2
- rebuilt against python 2.5
* Sun Apr 02 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.4-1
- Initial Release
